package com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 获取停电范围实体类
 */
public class ProjectQuantity extends DataEntity<ProjectQuantity> {
    private String reserveProjectName; //储备项目暂定名称
    private String includeAutomation; //是否含自动化
    private String wayOf; //通信方式
    private String assignmentStyle; //作业方式
    private String operationSubstation; //是否含变电站新间隔投运
    private String namingNumber; //是否需调整命名编号
    private String engineeringAcceptance; //是否存在土建验收
    private String electricalAcceptance; //是否存在电气验收
    private String blackoutLine; //停电线路
    private String outageRange; //停电范围初步校核
    private String policyIssues; //是否存在政策处理问题
    private String processingType; //政策处理类型
    private String processingDescription; //政策处理描述

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getIncludeAutomation() {
        return includeAutomation;
    }

    public void setIncludeAutomation(String includeAutomation) {
        this.includeAutomation = includeAutomation;
    }

    public String getWayOf() {
        return wayOf;
    }

    public void setWayOf(String wayOf) {
        this.wayOf = wayOf;
    }

    public String getAssignmentStyle() {
        return assignmentStyle;
    }

    public void setAssignmentStyle(String assignmentStyle) {
        this.assignmentStyle = assignmentStyle;
    }

    public String getOperationSubstation() {
        return operationSubstation;
    }

    public void setOperationSubstation(String operationSubstation) {
        this.operationSubstation = operationSubstation;
    }

    public String getNamingNumber() {
        return namingNumber;
    }

    public void setNamingNumber(String namingNumber) {
        this.namingNumber = namingNumber;
    }

    public String getEngineeringAcceptance() {
        return engineeringAcceptance;
    }

    public void setEngineeringAcceptance(String engineeringAcceptance) {
        this.engineeringAcceptance = engineeringAcceptance;
    }

    public String getElectricalAcceptance() {
        return electricalAcceptance;
    }

    public void setElectricalAcceptance(String electricalAcceptance) {
        this.electricalAcceptance = electricalAcceptance;
    }

    public String getBlackoutLine() {
        return blackoutLine;
    }

    public void setBlackoutLine(String blackoutLine) {
        this.blackoutLine = blackoutLine;
    }

    public String getOutageRange() {
        return outageRange;
    }

    public void setOutageRange(String outageRange) {
        this.outageRange = outageRange;
    }

    public String getPolicyIssues() {
        return policyIssues;
    }

    public void setPolicyIssues(String policyIssues) {
        this.policyIssues = policyIssues;
    }

    public String getProcessingType() {
        return processingType;
    }

    public void setProcessingType(String processingType) {
        this.processingType = processingType;
    }

    public String getProcessingDescription() {
        return processingDescription;
    }

    public void setProcessingDescription(String processingDescription) {
        this.processingDescription = processingDescription;
    }
}
